# HG changeset patch
# Node ID 823d6064a53d039a4b758b5898c42983adb8c2cb
# Parent  fb0660fc1877587678a8b3292bbb589257cd07cf
diff --git a/im.pidgin.Pidgin3.yml b/im.pidgin.Pidgin3.yml
--- a/im.pidgin.Pidgin3.yml
+++ b/im.pidgin.Pidgin3.yml
@@ -51,8 +51,8 @@
     sources:
       - type: archive
         archive-type: tar-xz
-        url: https://sourceforge.net/projects/pidgin/files/birb/0.2.0/birb-0.2.0-dev.tar.xz/download
-        sha256: b4c24426a6c9aeb959a7a8d60d31def8e90cfb17680c90a0cc54d582789ecc38
+        url: https://sourceforge.net/projects/pidgin/files/birb/0.3.1/birb-0.3.1.tar.xz/download
+        sha256: 70fa6462042f7d7c86a495eb93355fa14af057136b691e23838290bbcf57465c
   - name: hasl
     buildsystem: meson
     config-opts:
@@ -61,8 +61,8 @@
     sources:
       - type: archive
         archive-type: tar-xz
-        url: https://sourceforge.net/projects/pidgin/files/hasl/0.3.2/hasl-0.3.2.tar.xz/download
-        sha256: d67ba1ce29c6f1fcdc69dadae0bafe12cf60b9e8be80bb67b5f4f9e0db44c427
+        url: https://sourceforge.net/projects/pidgin/files/hasl/0.4.0/hasl-0.4.0.tar.xz/download
+        sha256: e78c244a259f13d43d230e9a8909bf0437a9466bef6757770a54a60c7c720036
   - name: ibis
     buildsystem: meson
     config-opts:
@@ -71,8 +71,8 @@
     sources:
       - type: archive
         archive-type: tar-xz
-        url: https://sourceforge.net/projects/pidgin/files/ibis/0.10.2/ibis-0.10.2.tar.xz/download
-        sha256: 5a67b3089deac9632c908a71a2950aec12195a111c2ca1fe517c6f156bddd6a4
+        url: https://sourceforge.net/projects/pidgin/files/ibis/0.11.0/ibis-0.11.0.tar.xz/download
+        sha256: 9f2d4a13229ca5848d1cf3a0f56ffdde4f8decea4b6b0101d5c10421a9ba35dc
   - name: xeme
     buildsystem: meson
     config-opts:
diff --git a/libpurple/reference/meson.build b/libpurple/reference/meson.build
--- a/libpurple/reference/meson.build
+++ b/libpurple/reference/meson.build
@@ -5,6 +5,9 @@
 ]
 
 if get_option('doc')
+	birb_gir_path = meson.global_build_root() / 'subprojects/birb-@0@/birb'.format(birb_dep.version())
+	gplugin_gir_path = meson.global_build_root() / 'subprojects/gplugin-@0@/gplugin'.format(gplugin_dep.version())
+
 	libpurple_toml = configure_file(
 		input : 'libpurple.toml.in',
 		output : 'libpurple.toml',
@@ -25,8 +28,8 @@
 			'--output-dir=@OUTPUT@',
 			'--no-namespace-dir',
 			'--content-dir=@0@'.format(meson.current_source_dir()),
-			'--add-include-path=@0@'.format(meson.global_build_root() / 'subprojects/birb/birb'),
-			'--add-include-path=@0@'.format(meson.global_build_root() / 'subprojects/gplugin/gplugin'),
+			'--add-include-path=@0@'.format(birb_gir_path),
+			'--add-include-path=@0@'.format(gplugin_gir_path),
 			'@INPUT1@'
 		],
 		depend_files : [ libpurple_doc_content_files ],
@@ -40,8 +43,8 @@
 		args: [
 			'check',
 			'--config', libpurple_toml,
-			'--add-include-path=@0@'.format(meson.global_build_root() / 'subprojects/birb/birb'),
-			'--add-include-path=@0@'.format(meson.global_build_root() / 'subprojects/gplugin/gplugin'),
+			'--add-include-path=@0@'.format(birb_gir_path),
+			'--add-include-path=@0@'.format(gplugin_gir_path),
 			libpurple_gir[0],
 		],
 		depends: libpurple_gir[0],
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -251,7 +251,7 @@
 #######################################################################
 # Check for birb glib utility library
 #######################################################################
-birb_dep = dependency('birb', version : '>=0.2.0')
+birb_dep = dependency('birb', version : '>=0.3.1')
 
 #######################################################################
 # Check for Xeme XMPP Library
@@ -390,7 +390,7 @@
 #######################################################################
 # Check for Hasl
 #######################################################################
-hasl = dependency('hasl', version : '>= 0.3.2')
+hasl = dependency('hasl', version : '>= 0.4.0')
 
 #######################################################################
 # Documentation
diff --git a/pidgin/reference/meson.build b/pidgin/reference/meson.build
--- a/pidgin/reference/meson.build
+++ b/pidgin/reference/meson.build
@@ -2,6 +2,10 @@
 ]
 
 if get_option('doc')
+	birb_gir_path = meson.global_build_root() / 'subprojects/birb-@0@/birb'.format(birb_dep.version())
+	gplugin_gir_path = meson.global_build_root() / 'subprojects/gplugin-@0@/gplugin'.format(gplugin_dep.version())
+	gplugin_gtk_gir_path = meson.global_build_root() / 'subprojects/gplugin-@0@/gplugin-gtk4'.format(gplugin_gtk_dep.version())
+
 	pidgin_toml = configure_file(
 		input : 'pidgin.toml.in',
 		output : 'pidgin.toml',
@@ -22,9 +26,9 @@
 			'--output-dir=@OUTPUT@',
 			'--no-namespace-dir',
 			'--content-dir=@0@'.format(meson.current_source_dir()),
-			'--add-include-path=@0@'.format(meson.global_build_root() / 'subprojects/birb/birb'),
-			'--add-include-path=@0@'.format(meson.global_build_root() / 'subprojects/gplugin/gplugin'),
-			'--add-include-path=@0@'.format(meson.global_build_root() / 'subprojects/gplugin/gplugin-gtk4'),
+			'--add-include-path=@0@'.format(birb_gir_path),
+			'--add-include-path=@0@'.format(gplugin_gir_path),
+			'--add-include-path=@0@'.format(gplugin_gtk_gir_path),
 			'--add-include-path=@0@'.format(meson.project_build_root() / 'libpurple'),
 			'@INPUT1@'
 		],
@@ -40,9 +44,9 @@
 		args: [
 			'check',
 			'--config', pidgin_toml,
-			'--add-include-path=@0@'.format(meson.global_build_root() / 'subprojects/birb/birb'),
-			'--add-include-path=@0@'.format(meson.global_build_root() / 'subprojects/gplugin/gplugin'),
-			'--add-include-path=@0@'.format(meson.global_build_root() / 'subprojects/gplugin/gplugin-gtk4'),
+			'--add-include-path=@0@'.format(birb_gir_path),
+			'--add-include-path=@0@'.format(gplugin_gir_path),
+			'--add-include-path=@0@'.format(gplugin_gtk_gir_path),
 			'--add-include-path=@0@'.format(meson.project_build_root() / 'libpurple'),
 			pidgin_gir[0],
 		],
diff --git a/protocols/ircv3/meson.build b/protocols/ircv3/meson.build
--- a/protocols/ircv3/meson.build
+++ b/protocols/ircv3/meson.build
@@ -22,7 +22,7 @@
 	subdir_done()
 endif
 
-ibis_dep = dependency('ibis', version : '>= 0.10.1')
+ibis_dep = dependency('ibis', version : '>= 0.11.0')
 
 ircv3_filebase = f'purple-@purple_api_major_version@-ircv3'
 ircv3_filebase = f'purple-@purple_api_major_version@-ircv3'
diff --git a/subprojects/birb.wrap b/subprojects/birb.wrap
--- a/subprojects/birb.wrap
+++ b/subprojects/birb.wrap
@@ -1,4 +1,5 @@
-[wrap-hg]
-directory = birb
-url = https://keep.imfreedom.org/birb/birb/
-revision = v0.2.0
+[wrap-file]
+directory = birb-0.3.1
+source_url = https://sourceforge.net/projects/pidgin/files/birb/0.3.1/birb-0.3.1.tar.xz
+source_filename = birb-0.3.1.tar.xz
+source_hash = 70fa6462042f7d7c86a495eb93355fa14af057136b691e23838290bbcf57465c
diff --git a/subprojects/gplugin.wrap b/subprojects/gplugin.wrap
--- a/subprojects/gplugin.wrap
+++ b/subprojects/gplugin.wrap
@@ -1,4 +1,5 @@
-[wrap-hg]
-directory = gplugin
-url = https://keep.imfreedom.org/gplugin/gplugin
-revision = v0.44.2
+[wrap-file]
+directory = gplugin-0.44.2
+source_url = https://sourceforge.net/projects/pidgin/files/gplugin/0.44.2/gplugin-0.44.2.tar.xz
+source_filename = gplugin-0.44.2.tar.xz
+source_hash = aea244e1add9628b50ec042c54cf93803f4577f8f142678f09b91fd4c0b20f72
diff --git a/subprojects/hasl.wrap b/subprojects/hasl.wrap
--- a/subprojects/hasl.wrap
+++ b/subprojects/hasl.wrap
@@ -1,4 +1,5 @@
-[wrap-hg]
-directory = hasl
-url = https://keep.imfreedom.org/hasl/hasl/
-revision = v0.3.2
+[wrap-file]
+directory = hasl-0.4.0
+source_url = https://sourceforge.net/projects/pidgin/files/hasl/0.4.0/hasl-0.4.0.tar.xz
+source_filename = hasl-0.4.0.tar.xz
+source_hash = e78c244a259f13d43d230e9a8909bf0437a9466bef6757770a54a60c7c720036
diff --git a/subprojects/ibis.wrap b/subprojects/ibis.wrap
--- a/subprojects/ibis.wrap
+++ b/subprojects/ibis.wrap
@@ -1,4 +1,5 @@
-[wrap-hg]
-directory = ibis
-url = https://keep.imfreedom.org/ibis/ibis
-revision = v0.10.2
+[wrap-file]
+directory = ibis-0.11.0
+source_url = https://sourceforge.net/projects/pidgin/files/ibis/0.11.0/ibis-0.11.0.tar.xz
+source_filename = ibis-0.11.0.tar.xz
+source_hash = 9f2d4a13229ca5848d1cf3a0f56ffdde4f8decea4b6b0101d5c10421a9ba35dc
